/*
 * This Java source file was generated by the Gradle 'init' task.
 */
package com.vyantech.wimer;

import java.awt.Dimension;
import java.awt.Toolkit;

import javax.swing.JFrame;

import com.vyantech.wimer.frames.MainFrame;
import com.vyantech.wimer.stopwatch.StopWatch;
import com.vyantech.wimer.tick.TickProvider;
import com.vyantech.wimer.tray.TrayManagerImpl;

public class App {

	public static void main(String[] args) {

		JFrame.setDefaultLookAndFeelDecorated(true);

		StopWatch watch = StopWatch.createUnstarted();
		TickProvider tickProvider = new TickProvider();

		TrayManagerImpl trayManager = new TrayManagerImpl(watch, tickProvider);
		JFrame frame = new MainFrame(watch, tickProvider);
		frame.setTitle("Wimer");
		Dimension dim = Toolkit.getDefaultToolkit().getScreenSize();
		frame.setLocation(dim.width / 2 - frame.getSize().width / 2, dim.height / 2 - frame.getSize().height / 2);

		frame.setVisible(true);

	}
}
